curl -X GET https://api.yourapp.com/api/v1/invoices/FACT-12345 \
-H "Authorization: Bearer <local_jwt>" \
-H "X-Factus-Token: <factus_access_token>"
{
"message": "Factura obtenida exitosamente",
"data": {
"status": "success",
"message": "Invoice retrieved successfully",
"data": {
"company": {
"name": "Your Company S.A.S.",
"identification": "900123456",
"address": "Calle 100 #10-20"
},
"customer": {
"name": "Acme Corporation S.A.S.",
"identification": "900123456",
"email": "[email protected]",
"address": "Calle 123 #45-67"
},
"bill": {
"number": "FACT-12345",
"prefix": "FACT",
"reference_code": "INV-2024-001",
"issue_date": "2024-01-15",
"cufe": "abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
"subtotal": 1000000.00,
"tax_total": 190000.00,
"total": 1190000.00
},
"items": [
{
"code_reference": "PROD-001",
"name": "Software License",
"quantity": 1,
"price": 1000000.00,
"tax_rate": 19.00,
"total": 1190000.00
}
]
}
}
}
Retrieve detailed information about a specific invoice by its number
curl -X GET https://api.yourapp.com/api/v1/invoices/FACT-12345 \
-H "Authorization: Bearer <local_jwt>" \
-H "X-Factus-Token: <factus_access_token>"
{
"message": "Factura obtenida exitosamente",
"data": {
"status": "success",
"message": "Invoice retrieved successfully",
"data": {
"company": {
"name": "Your Company S.A.S.",
"identification": "900123456",
"address": "Calle 100 #10-20"
},
"customer": {
"name": "Acme Corporation S.A.S.",
"identification": "900123456",
"email": "[email protected]",
"address": "Calle 123 #45-67"
},
"bill": {
"number": "FACT-12345",
"prefix": "FACT",
"reference_code": "INV-2024-001",
"issue_date": "2024-01-15",
"cufe": "abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
"subtotal": 1000000.00,
"tax_total": 190000.00,
"total": 1190000.00
},
"items": [
{
"code_reference": "PROD-001",
"name": "Software License",
"quantity": 1,
"price": 1000000.00,
"tax_rate": 19.00,
"total": 1190000.00
}
]
}
}
}
Bearer <local_jwt>curl -X GET https://api.yourapp.com/api/v1/invoices/FACT-12345 \
-H "Authorization: Bearer <local_jwt>" \
-H "X-Factus-Token: <factus_access_token>"
{
"message": "Factura obtenida exitosamente",
"data": {
"status": "success",
"message": "Invoice retrieved successfully",
"data": {
"company": {
"name": "Your Company S.A.S.",
"identification": "900123456",
"address": "Calle 100 #10-20"
},
"customer": {
"name": "Acme Corporation S.A.S.",
"identification": "900123456",
"email": "[email protected]",
"address": "Calle 123 #45-67"
},
"bill": {
"number": "FACT-12345",
"prefix": "FACT",
"reference_code": "INV-2024-001",
"issue_date": "2024-01-15",
"cufe": "abc123def456ghi789jkl012mno345pqr678stu901vwx234yz",
"subtotal": 1000000.00,
"tax_total": 190000.00,
"total": 1190000.00
},
"items": [
{
"code_reference": "PROD-001",
"name": "Software License",
"quantity": 1,
"price": 1000000.00,
"tax_rate": 19.00,
"total": 1190000.00
}
]
}
}
}